Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_affectation_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_affectation_print.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_affectation_print.cpp	(revision 88)
@@ -0,0 +1,39 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Link_affectation.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Link_affectation::print"
+  std::string Link_affectation::print (uint32_t depth)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    std::string _return = (toXML()).get_body(depth);
+
+    log_end(Configuration,FUNCTION);
+    return _return;
+  };
+  
+#undef  FUNCTION
+#define FUNCTION "Link_affectation::operator<<"
+  std::ostream& operator<< (std::ostream& output,
+			    morpheo::behavioural::configuration::Link_affectation & x)
+  {
+    log_begin(Configuration,FUNCTION);
+    output << x.print(0);
+    log_end(Configuration,FUNCTION);
+    return output;
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_affectation_toXML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_affectation_toXML.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_affectation_toXML.cpp	(revision 88)
@@ -0,0 +1,31 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Link_affectation.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Link_affectation::toXML"
+  XML Link_affectation::toXML (void)
+  {
+    XML xml (_name);
+    
+    xml.singleton_begin("link");
+    xml.  attribut("name",_name);
+    xml.  attribut("src" ,_src );
+    xml.  attribut("dest",_dest);
+    xml.singleton_end();
+
+    return xml;
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition.cpp	(revision 88)
@@ -0,0 +1,40 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Link_definition.h"
+#include "Behavioural/include/Stat_binary_tree.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Link_definition::Link_definition"
+  Link_definition::Link_definition  (std::string   name   ,
+                                     std::string   src    ,
+                                     std::string   dest   ,
+                                     std::string   description):
+    _name        (name         ),
+    _src         (src          ),
+    _dest        (dest         ),
+    _description (description  )
+  {
+    log_begin(Configuration,FUNCTION);
+    log_end(Configuration,FUNCTION);
+  };
+
+#undef  FUNCTION
+#define FUNCTION "Link_definition::~Link_definition"
+  Link_definition::~Link_definition () 
+  {
+    log_begin(Configuration,FUNCTION);
+    log_end(Configuration,FUNCTION);
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition_print.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition_print.cpp	(revision 88)
@@ -0,0 +1,39 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Link_definition.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Link_definition::print"
+  std::string Link_definition::print (uint32_t depth)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    std::string _return = (toXML()).get_body(depth);
+
+    log_end(Configuration,FUNCTION);
+    return _return;
+  };
+  
+#undef  FUNCTION
+#define FUNCTION "Link_definition::operator<<"
+  std::ostream& operator<< (std::ostream& output,
+			    morpheo::behavioural::configuration::Link_definition & x)
+  {
+    log_begin(Configuration,FUNCTION);
+    output << x.print(0);
+    log_end(Configuration,FUNCTION);
+    return output;
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition_toXML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition_toXML.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Link_definition_toXML.cpp	(revision 88)
@@ -0,0 +1,32 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Link_definition.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Link_definition::toXML"
+  XML Link_definition::toXML (void)
+  {
+    XML xml (_name);
+    
+    xml.singleton_begin("link");
+    xml.  attribut("name"       ,_name  );
+    xml.  attribut("src"        ,_src   );
+    xml.  attribut("dest"       ,_dest  );
+    xml.  attribut("description",_description);
+    xml.singleton_end();
+
+    return xml;
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation.cpp	(revision 88)
@@ -0,0 +1,39 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Parameter_affectation.h"
+#include "Behavioural/include/Stat_binary_tree.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_affectation::Parameter_affectation"
+  Parameter_affectation::Parameter_affectation  (std::string name   ,
+                                                 std::string value  ):
+    _name        (name         ),
+    _value       (value        )
+  {
+    log_begin(Configuration,FUNCTION);
+
+    _use = false;
+
+    log_end(Configuration,FUNCTION);
+  };
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_affectation::~Parameter_affectation"
+  Parameter_affectation::~Parameter_affectation () 
+  {
+    log_begin(Configuration,FUNCTION);
+    log_end(Configuration,FUNCTION);
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation_print.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation_print.cpp	(revision 88)
@@ -0,0 +1,39 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Parameter_affectation.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_affectation::print"
+  std::string Parameter_affectation::print (uint32_t depth)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    std::string _return = (toXML()).get_body(depth);
+
+    log_end(Configuration,FUNCTION);
+    return _return;
+  };
+  
+#undef  FUNCTION
+#define FUNCTION "Parameter_affectation::operator<<"
+  std::ostream& operator<< (std::ostream& output,
+			    morpheo::behavioural::configuration::Parameter_affectation & x)
+  {
+    log_begin(Configuration,FUNCTION);
+    output << x.print(0);
+    log_end(Configuration,FUNCTION);
+    return output;
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation_toXML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation_toXML.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_affectation_toXML.cpp	(revision 88)
@@ -0,0 +1,30 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Parameter_affectation.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_affectation::toXML"
+  XML Parameter_affectation::toXML (void)
+  {
+    XML xml (_name);
+    
+    xml.singleton_begin("parameter");
+    xml.  attribut("name" ,_name );
+    xml.  attribut("value",_value);
+    xml.singleton_end();
+
+    return xml;
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition.cpp	(revision 88)
@@ -0,0 +1,50 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Parameter_definition.h"
+#include "Behavioural/include/Stat_binary_tree.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_definition::Parameter_definition"
+  Parameter_definition::Parameter_definition  (std::string   name   ,
+                                               std::string   min    ,
+                                               std::string   max    ,
+                                               std::string   step   ,
+                                               std::string   value_default,
+                                               std::string   level  ,
+                                               std::string   description):
+    _name        (name         ),
+    _min         (min          ),
+    _max         (max          ),
+    _step        (step         ),
+    _default     (value_default),
+    _level       (level        ),
+    _description (description  )
+  {
+    log_begin(Configuration,FUNCTION);
+
+    test(_max);
+    test(_default);
+
+    log_end(Configuration,FUNCTION);
+  };
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_definition::~Parameter_definition"
+  Parameter_definition::~Parameter_definition () 
+  {
+    log_begin(Configuration,FUNCTION);
+    log_end(Configuration,FUNCTION);
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_print.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_print.cpp	(revision 88)
@@ -0,0 +1,39 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Parameter_definition.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_definition::print"
+  std::string Parameter_definition::print (uint32_t depth)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    std::string _return = (toXML()).get_body(depth);
+
+    log_end(Configuration,FUNCTION);
+    return _return;
+  };
+  
+#undef  FUNCTION
+#define FUNCTION "Parameter_definition::operator<<"
+  std::ostream& operator<< (std::ostream& output,
+			    morpheo::behavioural::configuration::Parameter_definition & x)
+  {
+    log_begin(Configuration,FUNCTION);
+    output << x.print(0);
+    log_end(Configuration,FUNCTION);
+    return output;
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_test.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_test.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_test.cpp	(revision 88)
@@ -0,0 +1,64 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Parameter_definition.h"
+#include "Behavioural/include/Stat_binary_tree.h"
+#include "Common/include/FromString.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_definition::test"
+  void Parameter_definition::test (std::string x)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    std::map<std::string, counter_t*> * operand = new std::map<std::string, counter_t*>;
+
+    std::string expr = _step+" "+_name;
+    std::string expr_str = _name + "(n+1) = "+_step+" "+_name+"(n)";
+
+    counter_t value;
+    (*operand)[_name] = &value;
+
+    Stat_binary_tree * tree;
+    try
+      {
+        tree = new Stat_binary_tree(expr,operand);
+      }
+    catch (morpheo::ErrorMorpheo & error)
+      {
+        throw (ERRORMORPHEO (FUNCTION,toString(_("step make an invalid infix expression : \"%s\"\n"),expr_str.c_str())));
+      }
+    
+    counter_t min = fromString<counter_t>(_min);
+    counter_t max = fromString<counter_t>(_max);
+
+    value = min;
+    while ((value != fromString<counter_t>(x)) and (value <= max))
+      {
+        counter_t tmp = tree->eval();
+
+        // warning, can have infinite loop
+        value = (tmp == value)?(max+1):tmp; 
+      }
+
+    if (value > max)
+      {
+        throw (ERRORMORPHEO (FUNCTION,toString(_("With the expression \"%s\" and \"%s(0) = %s\" and value between [%s:%s], \"%s(n) = %s\" is not a valid value.\n"),expr_str.c_str(),_name.c_str(),_min.c_str(),_min.c_str(),_max.c_str(),_name.c_str(),x.c_str())));
+      }
+    
+    delete tree;
+    
+    log_end(Configuration,FUNCTION);
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_toXML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_toXML.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Parameter_definition_toXML.cpp	(revision 88)
@@ -0,0 +1,35 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Parameter_definition.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Parameter_definition::toXML"
+  XML Parameter_definition::toXML (void)
+  {
+    XML xml (_name);
+    
+    xml.singleton_begin("parameter");
+    xml.  attribut("name"       ,         _name  );
+    xml.  attribut("min"        ,toString(_min  ));
+    xml.  attribut("max"        ,toString(_max  ));
+    xml.  attribut("step"       ,         _step  );
+    xml.  attribut("default"    ,toString(_default));
+    xml.  attribut("level"      ,toString(_level));
+    xml.  attribut("description",         _description);
+    xml.singleton_end();
+
+    return xml;
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator.cpp	(revision 88)
@@ -0,0 +1,49 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Simulator.h"
+#include "Behavioural/include/Stat_binary_tree.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Simulator::Simulator"
+  Simulator::Simulator (std::string filename)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    _filename = filename;
+    _array = new std::map<std::string, Parameter_affectation *>;
+
+    fromFile (filename);
+
+    log_end(Configuration,FUNCTION);
+  };
+
+#undef  FUNCTION
+#define FUNCTION "Simulator::~Simulator"
+  Simulator::~Simulator () 
+  {
+    log_begin(Configuration,FUNCTION);
+
+    for (std::map<std::string, Parameter_affectation *>::iterator it = _array->begin();
+         it != _array->end();
+         ++it)
+      {
+        delete it->second;
+      }
+
+    delete _array;
+    
+    log_end(Configuration,FUNCTION);
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp	(revision 88)
@@ -0,0 +1,77 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Simulator.h"
+#include "Common/include/FromString.h"
+#include <fstream>
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+  using namespace XMLUtils;
+
+#undef  FUNCTION
+#define FUNCTION "Simulator::fromFile"
+  void Simulator::fromFile (std::string filename)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    msg_printf(INFORMATION,_("Read file \"%s\"."),filename.c_str());
+
+    std::ifstream file (filename.c_str());
+
+    // Test the file open
+    if (!file)
+      throw ERRORMORPHEO(FUNCTION,toString(_("Error opening \"%s\" file.\n"),filename.c_str()));
+
+    XML_t * _xml = new FileXMLLight<char,ClassicReferenceCounter>(file);
+
+    // Test root node : Root name, must not a singleton, have none attribute
+    testNodeName   (_xml,"parameters");
+    testSingleton  (_xml,false);
+    testNoAttribute(_xml);
+
+    XMLLightVector<XML_t> vect = _xml->getNodes(); 
+
+//     std::cout << vect << std::endl;
+
+    for (uint32_t i=0; i<vect.size(); ++i)
+      {
+        XML_t * xml = vect[i];
+
+        // Test node
+        testNodeName   (xml,"parameter");
+        testSingleton  (xml,true);        
+
+        // Take attributes of this tag
+
+        attributes_t attributes = xml->getAttributes();
+
+//         std::cout << "Node [" << name           << "]" << std::endl;
+//         std::cout << "  * nb attributes : " << xml->getAttributes().size()  << std::endl;
+
+        attribute_t value_name  = getAttribute(xml,attributes,"name" );
+        attribute_t value       = getAttribute(xml,attributes,"value");
+
+        testAttributesEmpty(xml,attributes);
+
+        // Insert in array
+        Parameter_affectation * param = new Parameter_affectation(value_name,
+                                                                  value     );
+
+        insert(param);
+      }
+         
+    delete _xml;
+
+    log_end(Configuration,FUNCTION);
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_getParam.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_getParam.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_getParam.cpp	(revision 88)
@@ -0,0 +1,32 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Simulator.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Simulator::getParam"
+  std::string Simulator::getParam (std::string name)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    if (_array->find(name) == _array->end())
+      throw ERRORMORPHEO(FUNCTION,toString(_("Simulator file \"%s\" does't have the parameters \"%s\".\n"),_filename.c_str(),name.c_str()));
+
+    std::string res = ((*_array)[name])->_value;
+
+    log_end(Configuration,FUNCTION);
+
+    return res;
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_insert.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_insert.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_insert.cpp	(revision 88)
@@ -0,0 +1,27 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Simulator.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Simulator::insert"
+  void Simulator::insert (Parameter_affectation * param)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    (*_array)[param->_name] = param;
+
+    log_end(Configuration,FUNCTION);
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_print.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_print.cpp	(revision 88)
@@ -0,0 +1,39 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Simulator.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Simulator::print"
+  std::string Simulator::print (uint32_t depth)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    std::string _return = (toXML()).get_body(depth);
+
+    log_end(Configuration,FUNCTION);
+    return _return;
+  };
+  
+#undef  FUNCTION
+#define FUNCTION "Simulator::operator<<"
+  std::ostream& operator<< (std::ostream& output,
+			    morpheo::behavioural::configuration::Simulator & x)
+  {
+    log_begin(Configuration,FUNCTION);
+    output << x.print(0);
+    log_end(Configuration,FUNCTION);
+    return output;
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_toFile.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_toFile.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_toFile.cpp	(revision 88)
@@ -0,0 +1,27 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Simulator.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Simulator::toFile"
+  void Simulator::toFile (std::string dirname)
+  {
+    log_begin(Configuration,FUNCTION);
+
+    (toXML()).generate_file(dirname);
+
+    log_end(Configuration,FUNCTION);
+  };
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_toXML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_toXML.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_toXML.cpp	(revision 88)
@@ -0,0 +1,35 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/Simulator.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "Simulator::toXML"
+  XML Simulator::toXML (void)
+  {
+    XML xml (basename(_filename.c_str()));
+    xml.filename_extension("");
+    
+    xml.balise_open("parameters");
+    for (std::map<std::string, Parameter_affectation *>::iterator it = _array->begin();
+         it != _array->end();
+         ++it)
+      {
+        xml.insert_XML(it->second->toXML(),1);
+      }
+    xml.balise_close();
+
+    return xml;
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_getAttribute.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_getAttribute.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_getAttribute.cpp	(revision 88)
@@ -0,0 +1,35 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/XMLUtils.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "getAttribute"
+  attribute_t getAttribute(XML_t *             xml,
+                           attributes_t      & attributes,
+                           const attribute_t & name)
+  {
+    // List attribute
+    attributes_t::iterator it = attributes.find(name); 
+    
+    if (it == attributes.end())
+      throw ERRORMORPHEO(FUNCTION,toString(_("Syntax error, node \"%s\" must have attribute \"%s\"\n"),xml->getName().c_str(),name.c_str()));
+  
+    attribute_t str = it->second;
+
+    attributes.erase(it);
+
+    return str;
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testAttributesEmpty.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testAttributesEmpty.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testAttributesEmpty.cpp	(revision 88)
@@ -0,0 +1,37 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/XMLUtils.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "testAttributesEmpty"
+  void testAttributesEmpty (XML_t *      xml,
+                            attributes_t attributes)
+  {
+    // Test if attributes is empty
+    if (not attributes.empty())
+      {
+        std::string msg = "";
+        for (attributes_t::iterator it=attributes.begin();
+             it!=attributes.end();
+             ++it)
+          {
+            if (it!=attributes.begin())
+              msg+= ", ";
+            msg+=it->first;
+          }
+        throw ERRORMORPHEO(FUNCTION,toString(_("Syntax error, node \"%s\" must have not this attributes : %s\n"),xml->getName().c_str(),msg.c_str()));
+      }
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testNoAttribute.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testNoAttribute.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testNoAttribute.cpp	(revision 88)
@@ -0,0 +1,25 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/XMLUtils.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "testNoAttribute"
+
+  void testNoAttribute (XML_t * xml)
+  {
+    if (xml->getAttributes().size() != 0)
+      throw ERRORMORPHEO(FUNCTION,toString(_("Syntax error, node \"%s\" have none attribute\n"),xml->getName().c_str()));
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testNodeName.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testNodeName.cpp	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/XMLUtils_testNodeName.cpp	(revision 88)
@@ -0,0 +1,25 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Configuration/include/XMLUtils.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace configuration {
+
+#undef  FUNCTION
+#define FUNCTION "testNodeName"
+
+  void testNodeName (XML_t * xml, std::string name)
+  {
+    if (xml->getName() != name)
+      throw ERRORMORPHEO(FUNCTION,toString(_("Syntax error, node is \"%s\", but must be \"%s\"\n"),xml->getName().c_str(),name.c_str()));
+  }
+
+}; // end namespace configuration
+}; // end namespace behavioural
+}; // end namespace morpheo              
